# Delete multiple records

`DELETE https://api.airtable.com/v0/{baseId}/{tableIdOrName}`

Deletes records given an array of record ids

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`data.records:write`](https://airtable.com/developers/web/api/scopes.md#data-records-write)
- **User role:** Base editor
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `tableIdOrName: string`

## Query parameters

- `records: array<string>` — optional

  The recordIds of each record to be deleted.

## Response format

- `records: array<object>` — required

  - `id: string` — required

    Record ID

  - `deleted: true` — required

### Example — Success response

```sh
curl -X DELETE "https://api.airtable.com/v0/{baseId}/{tableIdOrName}\
?records[]=rec560UJdUtocSouk&records[]=rec3lbPRG4aVqkeOQ" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "records": [
    {
      "deleted": true,
      "id": "rec560UJdUtocSouk"
    },
    {
      "deleted": true,
      "id": "rec3lbPRG4aVqkeOQ"
    }
  ]
}
```
